Results 1 to 4 of 4

Thread: Kmail install fails, dependencies issues

  1. #1
    Join Date
    Apr 2010
    Location
    i am location
    Posts
    1,421

    Default Kmail install fails, dependencies issues

    I originally uninstalled KMail but now i would like to try it out again and get more familiar with it.
    Problem is, since i upgraded to KDE 4.5 i can't.
    There is always some dependencies issue.

    Code:
    joerg@linux-h8qt:~> sudo zypper install kmail
    Retrieving repository 'KDE-Extra' metadata [done]
    Building repository 'KDE-Extra' cache [done]
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    Problem: kmail-4.4.8-261.2.x86_64 requires libmimelib.so.4()(64bit), but this requirement cannot be provided
      uninstallable providers: kdepim4-4.4.8-261.2.x86_64[KDE45]
                       kdepim4-4.4.4-3.1.1.x86_64[Updates for openSUSE 11.3 11.3-1.82]
                       kdepim4-4.4.4-2.4.x86_64[openSUSE-11.3 11.3-1.82]
                       kdepim4-4.4.4-2.4.x86_64[repo-oss]
     Solution 1: Following actions will be done:
      downgrade of kdepim4-4.5.80-261.1.x86_64 to kdepim4-4.4.8-261.2.x86_64
      downgrade of knotes-4.5.80-261.1.x86_64 to knotes-4.4.8-261.2.x86_64
      downgrade of kontact-4.5.80-261.1.x86_64 to kontact-4.4.8-261.2.x86_64
      downgrade of korganizer-4.5.80-261.1.x86_64 to korganizer-4.4.8-261.2.x86_64
     Solution 2: do not install kmail-4.4.8-261.2.x86_64
     Solution 3: break kmail by ignoring some of its dependencies
    
    Choose from above solutions by number or cancel [1/2/3/c] (c):
    I hesitade to downgrade since i might brake my kde. My KDE version is 4.5.85 (4.6 Beta2).

    My repos are:
    Code:
    joerg@linux-h8qt:~> sudo zypper ls
    #  | Alias                               | Name                                | Enabled | Refresh | Type  
    ---+-------------------------------------+-------------------------------------+---------+---------+-------
    1  | 11.3                                | Packman Repositories 11.3           | Yes     | Yes     | rpm-md
    2  | Debug_Backtrace                     | Debug Backtrace                     | Yes     | Yes     | yast2 
    3  | KDE-Extra                           | KDE-Extra                           | Yes     | Yes     | rpm-md
    4  | KDE45                               | KDE45                               | Yes     | Yes     | rpm-md
    5  | Libdvdcss repository                | Libdvdcss repository                | Yes     | Yes     | rpm-md
    6  | NVIDIA Repository                   | NVIDIA Repository                   | Yes     | Yes     | rpm-md
    7  | Updates for openSUSE 11.3 11.3-1.82 | Updates for openSUSE 11.3 11.3-1.82 | Yes     | Yes     | rpm-md
    8  | Wine                                | Wine                                | Yes     | Yes     | rpm-md
    9  | openSUSE-11.3 11.3-1.82             | openSUSE-11.3 11.3-1.82             | Yes     | No      | yast2 
    10 | repo-debug                          | openSUSE-11.3-Debug                 | No      | Yes     | yast2 
    11 | repo-non-oss                        | openSUSE-11.3-Non-Oss               | Yes     | Yes     | yast2 
    12 | repo-oss                            | openSUSE-11.3-Oss                   | Yes     | Yes     | yast2 
    13 | repo-source                         | openSUSE-11.3-Source                | No      | Yes     | yast2 
    14 | subpixel repository                 | subpixel repository                 | Yes     | Yes     | rpm-md
    +++ ATH0

    . . . . . . . .
    LOGOFF COMPLETE

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,301
    Blog Entries
    15

    Default Re: Kmail install fails, dependencies issues

    Hi
    I would guess the repo your using hasn't synced yet...

    libmimelib.so.4 is in kdepim4.4.8 is here Index of /repositories/KDE:/Distro:/Factory/openSUSE_11.3/x86_64

    Then if you search on the list for kdepim4, see of to the right the 'Details' click on that then shows the list of mirrors with the rpm;
    Mirror List

    If the mirror your using isn't there...then you will get the above issue.
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3
    Join Date
    Apr 2010
    Location
    i am location
    Posts
    1,421

    Default Re: Kmail install fails, dependencies issues

    Quote Originally Posted by malcolmlewis View Post
    Hi
    I would guess the repo your using hasn't synced yet...

    libmimelib.so.4 is in kdepim4.4.8 is here Index of /repositories/KDE:/Distro:/Factory/openSUSE_11.3/x86_64

    Then if you search on the list for kdepim4, see of to the right the 'Details' click on that then shows the list of mirrors with the rpm;
    Mirror List

    If the mirror your using isn't there...then you will get the above issue.
    Did not work out. I have the mirror in my list, but there is one file thats missing.
    I tried pretty much all the possible links to install kmail.
    For now i think i will just wait until KDE 4.6 is officially out. To much hassle. But thanks anyway.

    Btw. is the downgrade affecting anything like KDE core?
    +++ ATH0

    . . . . . . . .
    LOGOFF COMPLETE

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,301
    Blog Entries
    15

    Default Re: Kmail install fails, dependencies issues

    Hi
    It's there though, have you tried downloading kdepim manually, add a local plain rpm repository and then try to install kmail?
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •